Cyberduck Mountain Duck CLI

#8517 closed defect (fixed)

Requires container listing to connect

Reported by: stefan jacobi Owned by: dkocher
Priority: normal Milestone: 4.7.2
Component: openstack Version: 4.6.2
Severity: normal Keywords: openstack swift path
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Beginning with version 4.6.2 (and in 4.6.3) I couldn't connect via openstack/swift anymore.

Error: 
"Listing directory / failed"
Forbidden 403

CD logs in successfully but doesn't access the predefined "path" directory.

With CD 4.6.1 connection and access works fine.

Attachments (1)

error.png (23.6 KB) - added by stefan jacobi on Jan 22, 2015 at 4:13:01 PM.

Download all attachments as: .zip

Change History (14)

Changed on Jan 22, 2015 at 4:13:01 PM by stefan jacobi

comment:1 Changed on Jan 23, 2015 at 9:53:45 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Jan 23, 2015 at 9:54:13 AM by dkocher

  • Milestone set to 4.7
  • Summary changed from Swift Openstack: Path setting not recognized to Path setting not recognized

comment:3 Changed on Jan 23, 2015 at 10:59:40 AM by dkocher

This issue was introduced by change r16311.

comment:4 Changed on Jan 23, 2015 at 11:00:10 AM by dkocher

  • Summary changed from Path setting not recognized to Requires container listing to connect

comment:5 Changed on Jan 23, 2015 at 11:04:21 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

We need to get the container listing to determine the region of the target container. Before the referenced changeset we used the default region in the authentication context which would make the request fail if the container is not in the default region.

comment:6 Changed on Jan 23, 2015 at 11:07:41 AM by dkocher

If there is an API to determine the region of a container we could improve the implementation with the requirement to list all containers. We are not aware such an API exists.

comment:7 Changed on Jan 23, 2015 at 1:34:19 PM by dkocher

You could workaround this by presetting the Region in a custom profile.

comment:8 Changed on Jan 28, 2015 at 8:54:34 AM by dkocher

  • Milestone 4.7 deleted

comment:9 Changed on Jul 31, 2015 at 8:13:52 AM by dkocher

Duplicate in #8959.

comment:10 Changed on Jul 31, 2015 at 8:37:10 AM by dkocher

Region specific profiles are available from Profiles for a single region.

comment:11 Changed on Jul 31, 2015 at 8:40:58 AM by dkocher

  • Milestone set to 4.7.2

comment:12 Changed on Jul 31, 2015 at 8:41:22 AM by dkocher

  • Resolution wontfix deleted
  • Status changed from closed to reopened

Regardless of the region specific profile, a container listing is still made. Reopen.

comment:13 Changed on Jul 31, 2015 at 10:32:33 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r17997. Make it work when using a single region profile.

Note: See TracTickets for help on using tickets.
swiss made software